Name:           tig
Version:        1.0
Release:        1%{?dist}
Summary:        Text-mode interface for the git revision control system

Group:          Development/Tools
License:        GPLv2+
URL:            http://jonas.nitro.dk/tig
Source0:        http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  git
BuildRequires:  ncurses-devel
BuildRequires:  xmlto
BuildRequires:  asciidoc
Requires:       git

%description
Tig is a repository browser for the git revision control system that
additionally can act as a pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to present the
user with various views, such as summarized revision log and showing the commit
with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.


%prep
%setup -q
sed -i 's/,options="header"//g' manual.txt

%build
%configure
make %{?_smp_mflags} all doc-man doc-html

#Convert to unix line endings
sed -i -e 's/\r//' *.html


%install
rm -rf $RPM_BUILD_ROOT
make install install-doc-man DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} \
    mandir=%{_mandir}

# Remove test-graph binary
rm -f $RPM_BUILD_ROOT%{_bindir}/test-graph

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README SITES BUGS manual.txt *.html

%{_bindir}/tig

%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*


%changelog
* Wed Jul 18 2012 Josh Matthews <jmatth@nbcs.rutgers.edu> - 1.0-1
- Bump to 1.0

* Mon Aug 15 2011 Todd Zullinger <tmz@pobox.com> - 0.17-1 1
- sed manual pages to work with EPEL5 version of asciidoc

* Thu Mar 10 2011 Todd Zullinger <tmz@pobox.com> - 0.17-1
- Update to 0.17

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.16.2-2
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.16.2-1
- Update to 0.16.2

* Mon Sep 20 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.16.1-1
- Update to 0.16.1

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.15-2
- Add tigmanual man page

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.15-1
- tig-0.15

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Todd Zullinger <tmz@pobox.com> - 0.14.1-2
- Temporarily disable asciidoc's safe mode until bug 506953 is fixed

* Fri Apr 03 2009 James Bowes <jbowes@redhat.com> 0.14.1-1
- tig-0.14.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 James Bowes <jbowes@redhat.com> 0.14-1
- tig-0.14

* Tue Dec 02 2008 James Bowes <jbowes@redhat.com> 0.12.1-1
- tig-0.12.1

* Sat Sep 27 2008 Todd Zullinger <tmz@pobox.com> 0.12-1
- tig-0.12

* Sun Apr 06 2008 James Bowes <jbowes@redhat.com> 0.11-1
- tig-0.11

* Tue Mar 25 2008 Todd Zullinger <tmz@pobox.com> 0.10.1-2
- use %%configure so ncursesw is picked up for utf-8 support
- BuildRequire git so configure finds git-config and git-repo-config
- change Requires: git-core to git

* Wed Mar 19 2008 James Bowes <jbowes@redhat.com> 0.10.1-1
- tig-0.10.1

* Mon Mar 17 2008 James Bowes <jbowes@redhat.com> 0.10-1
- tig-0.10

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-2
- Autorebuild for GCC 4.3

* Sun Sep 30 2007 James Bowes <jbowes@redhat.com> - 0.9.1-1
- tig-0.9.1

* Thu Sep 20 2007 James Bowes <jbowes@redhat.com> - 0.9-1
- tig-0.9

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.8-2
- Mark license as GPLv2+

* Tue Jun 19 2007 James Bowes <jbowes@redhat.com> - 0.8-1
- tig-0.8

* Sat Jun 02 2007 James Bowes <jbowes@redhat.com> - 0.7-4
- Ensure that the version string is set in the binary.

* Fri Jun 01 2007 James Bowes <jbowes@redhat.com> - 0.7-3
- Incorporate differences from jcollie's tig spec.

* Fri Jun 01 2007 James Bowes <jbowes@redhat.com> - 0.7-2
- Update spec file after review feedback.

* Thu May 31 2007 James Bowes <jbowes@redhat.com> - 0.7-1
- Initial packaging.
